CON
	_xinfreq		= 5_000_000		' Quartz is 5MHz
	_clkmode		= xtal1 + pll16x	' System clock is 80MHz

#define DracBladeProp

	SYNC_W			= 7*16
	VIDEO_W			= 640
	VIDEO_H			= 480
	CHAR_W			= 80
	CHAR_H			= 40
	FONT_W			= 8
	FONT_H			= 12

	do_pin			= 15
	clk_pin			= 14
	di_pin			= 13
	cs_pin			= 12

OBJ
	vgavid	: "vgavid"
	vgagen	: "vgagen"
	pdo	: "DracBlade_spi_warp"

VAR
	long	params[5]
	long	addr
	long	seed
	long	x
	long	y
	byte	buff[2]		' character and attribute

PUB main
	vgavid.start(@sync, @pixmem0, @colmem0, 16)

	waitcnt(8 * clkfreq + cnt)

	vgagen.start(@sync, @pixmem0, @colmem0)

	\pdo.start_explicit(do_pin, clk_pin, di_pin, cs_pin)
	seed := 1
	repeat
		repeat y from 0 to 39
			repeat x from 12 to 49
				addr := y * 256 + 2 * x
				buff[0] := rnd
				buff[1] := rnd
				pdo.writeram(@buff, addr, 2)

PRI rnd
	seed := seed * 1737411 + 138317
	return seed & $ff

DAT

' first row of colors
colmem0		long	$13233343[CHAR_W/2]

' second row of colors
colmem1		long	$e3d3c3b3[CHAR_W/2]

' first row of pixels
pixmem0		long	$01234567[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$89abcdef[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$11223344[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$55667788[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$cc33cc33[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55226644[CHAR_W/2]

' second row of pixels
pixmem1		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]
		long	$aa3300ff[CHAR_W/2]
		long	$55cc6699[CHAR_W/2]

sync		long	0
