CON
	SYNC_W			= 7*16
	VIDEO_W			= 640
	VIDEO_H			= 480
	CHAR_W			= 80
	CHAR_H			= 40
	FONT_W			= 8
	FONT_H			= 12

VAR
	long	cog

PUB start(sync_mem, pixel_mem, color_mem) : okay
	stop
	sync_ptr := sync_mem
	pixmem_ptr := pixel_mem
	colmem_ptr := color_mem
	okay := cog := cognew(@entry, 0)

PUB stop
	if cog
		cogstop(cog~~ - 1)
DAT
		org	0
entry
		mov	wait, CNT
		add	wait, wait_add
frame
		mov	char_rows, #CHAR_H			' number of character rows
		mov	pixptr, pixmem_ptr			' start to write pixels at pixmem_ptr
		mov	colptr, colmem_ptr			' start to write palette at colmem_ptr
		mov	xmmptr, frame_addr
:row
		movd	:cogcopy, #linebuff

		lockset	xmm_lock				' acquire the lock to the XMM

		mov	cols, #CHAR_W * 2			' 80 characters and 80 attributes per row

' ********************************************************************************************************
'
'		BEGIN - DracBladeProp specific code
'
		mov	DIRA, dir_138_write			' set up the pins for programming latch chips
		mov	outx, xmmptr				' set up high byte

		shr	outx, #16				' shift right by 16 places
		and	outx, #$07				' mask 3 bits in the high byte
		or	outx, address_high			' or with 138 high address
		mov	OUTA, outx				' send it out with gate low
		mov	outx, xmmptr
		or	OUTA, #%1_00000000			' set gate high again and repeat for the middle byte

		shr	outx, #8				' shift right by 8 places
		and	outx, #$ff				' mask the middle byte
		or	outx, address_mid			' or with 138 middle address
		mov	OUTA, outx				' send it out with gate low
		mov	outx, xmmptr
		or	OUTA, #%1_00000000			' set gate high again and repeat for the low byte

		and	outx, #$ff				' mask the low byte
		or	outx, address_low			' or with 138 low address
		mov	OUTA, outx				' send it out with gate low
		add	xmmptr, #256				' next row of characters / attributes in XMM
		or	OUTA, #%1_00000000			' set gate high again
			' outx = low latch address
:burst_read
		mov	DIRA, dir_138_read			' for reads so P0-P7 tristate till do read
		mov	OUTA, #0				' set 000 low 138 read, low gate and P0-P7 are inputs
		add	outx, #1				' next byte address
:cogcopy	mov	0-0, INA				' read SRAM to cog RAM
		or	OUTA, #%1_00000000			' set the gate high again
		mov	DIRA, dir_138_write
		mov	OUTA, outx				' send low address out with gate low
		add	:cogcopy, d1				' increment destination by 1
		or	OUTA, #%1_00000000			' set gate high again
		djnz	cols, #:burst_read			' 40 cycles / byte = 6400 cycles per character row

'
'		END - DracBladeProp specific code
'
' ********************************************************************************************************

		lockclr	xmm_lock				' release the lock to the XMM

		movs	:charaddr1, #linebuff + 0		' set up cog RAM addresses
		movs	:attraddr1, #linebuff + 1
		movs	:charaddr2, #linebuff + 2
		movs	:attraddr2, #linebuff + 3

		mov	cols, #CHAR_W / 2			' do 2 characters and 2 attributes at a time
:col

:charaddr2	mov	chr, 0-0				' read character from linebuff
		and	chr, #%11111111				' mask lower 8 bits
:attraddr2	mov	att, 0-0				' read attribute from linebuff

		mov	t1, att
		and	t1, #15					' extract fg color
	if_c	add	t1, #bg_clut_l				' color lookup table for left character background
	if_nc	add	t1, #fg_clut_l				' color lookup table for left character foreground
		movs	:fgcol1, t1
		shr	att, #4					' extract bg color
		and	att, #15
	if_c	add	att, #fg_clut_l				' color lookup table for left character foreground
	if_nc	add	att, #bg_clut_l				' color lookup table for left character background
		movs	:bgcol1, att
:fgcol1		mov	colors, 0-0				' get fg color value
:bgcol1		or	colors, 0-0				' combine with bg color value

		mov	t1, chr
		add	chr, chr				' character code * 2
		add	chr, t1					' * 3
		shl	chr, #3					' * 24
		add	chr, font_ptr				' add font pointer

		rdword	v00, chr				' read font using the hub access sweet spot
		add	chr, #2					' just two opcodes
		shl	v00, #16				' between two reads

		rdword	v01, chr				' next hub RAM access
		add	chr, #2					' etc.
		shl	v01, #16				' pp.

		rdword	v02, chr
		add	chr, #2
		shl	v02, #16

		rdword	v03, chr
		add	chr, #2
		shl	v03, #16

		rdword	v04, chr
		add	chr, #2
		shl	v04, #16

		rdword	v05, chr
		add	chr, #2
		shl	v05, #16

		rdword	v06, chr
		add	chr, #2
		shl	v06, #16

		rdword	v07, chr
		add	chr, #2
		shl	v07, #16

		rdword	v08, chr
		add	chr, #2
		shl	v08, #16

		rdword	v09, chr
		add	chr, #2
		shl	v09, #16

		rdword	v10, chr
		add	chr, #2
		shl	v10, #16

		rdword	v11, chr
		shl	v11, #16

:charaddr1	mov	chr, 0-0				' read character from linebuff
		and	chr, #%11111111				' mask lower 8 bits
:attraddr1	mov	att, 0-0				' read attribute from linebuff

		mov	t1, att
		and	t1, #15					' fg color
		add	t1, #fg_clut_r				' color lookup table for right character foreground
		movs	:fgcol2, t1
		shr	att, #4					' bg color
		and	att, #15
		add	att, #bg_clut_r				' color lookup table for right character background
		movs	:bgcol2, att
:fgcol2		or	colors, 0-0				' combine with fg color value
:bgcol2		or	colors, 0-0				' combine with bg color value

		mov	t1, chr
		add	chr, chr				' character code * 2
		add	chr, t1					' * 3
		shl	chr, #3					' * 24
		add	chr, font_ptr				' add font pointer

		wrlong	colors, colptr
		add	colptr, #4				' next palette entry
		mov	chrptr, pixptr				' chrptr = current pixel buffer column

		rdword	vxx, chr				' read font using the hub access sweet spot
		add	chr, #2					' just two opcodes
		or	v00, vxx				' between two reads

		rdword	vxx, chr				' next hub RAM access
		add	chr, #2					' etc.
		or	v01, vxx				' pp.

		rdword	vxx, chr
		add	chr, #2
		or	v02, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v03, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v04, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v05, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v06, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v07, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v08, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v09, vxx

		rdword	vxx, chr
		add	chr, #2
		or	v10, vxx

		rdword	vxx, chr
		or	v11, vxx

		and	v00, l_r_colors				' mask only colors #0 and #1 for left character
		wrlong	v00, chrptr				' write 16 pixels, staying in sync wit the sweet spot
		add	chrptr, #160				' distance to next scan line at pixmem_ptr

		and	v01, l_r_colors
		wrlong	v01, chrptr
		add	chrptr, #160

		and	v02, l_r_colors
		wrlong	v02, chrptr
		add	chrptr, #160

		and	v03, l_r_colors
		wrlong	v03, chrptr
		add	chrptr, #160

		and	v04, l_r_colors
		wrlong	v04, chrptr
		add	chrptr, #160

		and	v05, l_r_colors
		wrlong	v05, chrptr
		add	chrptr, #160

		and	v06, l_r_colors
		wrlong	v06, chrptr
		add	chrptr, #160

		and	v07, l_r_colors
		wrlong	v07, chrptr
		add	chrptr, #160

		and	v08, l_r_colors
		wrlong	v08, chrptr
		add	chrptr, #160

		and	v09, l_r_colors
		wrlong	v09, chrptr
		add	chrptr, #160

		and	v10, l_r_colors
		wrlong	v10, chrptr
		add	chrptr, #160

		and	v11, l_r_colors
		wrlong	v11, chrptr

		add	pixptr, #4				' next long in pixel buffer

		add	:charaddr1, #4				' + 4 longs to next character / attribute pair
		add	:attraddr1, #4
		add	:charaddr2, #4
		add	:attraddr2, #4

		djnz	cols, #:col				' next 2 characters

		waitcnt	wait, wait_add

		add	pixptr, pix_row_skip			' adjust to next character row of pixels

		test	char_rows, #1		WZ		' odd character row?
	if_nz	mov	pixptr, pixmem_ptr			' wrap pixptr
	if_nz	mov	colptr, colmem_ptr			' and also colptr

':wait		rdlong	t1, sync_ptr		WZ
'	if_z	jmp	#:wait
'		wrlong	null, sync_ptr

		djnz	char_rows, #:row			' for all character rows

		jmp	#frame					' next frame

xmm_lock	long	0

' Three latches to access the ram chip - see main program for spin version
' uses variables 'ea' and 'alu'. skip banked memory and checking for out of
' bounds address will need two nop instructions in /rd and /wr to be sure 
'
dir_138_read	long    %00000000_00000000_00001111_00000000	' for reads so data lines are tristate till the read
dir_138_write	long	%00000000_00000000_00001111_11111111	' for writes so data lines are outputs
address_low	long	%00000000_00000000_00000100_00000000	' low address latch = xxxx010x and gate low xxxxxxx0
address_mid	long	%00000000_00000000_00000110_00000000	' middle address latch = xxxx011x and gate low xxxxxxx0
address_high	long	%00000000_00000000_00001000_00000000	' high address latch = xxxx100x and gate low xxxxxxx0
write_enable	long	%00000000_00000000_00000010_00000000	' write enable xxxx001x and gate low xxxxxxx0

d1		long	1 << 9					' to increment destination

font_ptr	long	@@@font
sync_ptr	long	0-0
pixmem_ptr	long	0-0
colmem_ptr	long	0-0
frame_addr	long	(5*64+48)*1024				' address of the frame buffer in XMM

' color 0
bg_clut_l	long	%00000011_00000011_00000011_00000011	' black
		long	%00000011_00000011_00000011_00000111	' dark red
		long	%00000011_00000011_00000011_00010011	' dark green
		long	%00000011_00000011_00000011_00010111	' dark yellow (brown)
		long	%00000011_00000011_00000011_01000011	' dark blue
		long	%00000011_00000011_00000011_01000111	' dark magenta
		long	%00000011_00000011_00000011_01010011	' dark cyan
		long	%00000011_00000011_00000011_10101011	' gray
		long	%00000011_00000011_00000011_01010111	' dark gray
		long	%00000011_00000011_00000011_00001011	' red
		long	%00000011_00000011_00000011_00100011	' green
		long	%00000011_00000011_00000011_00101011	' yellow
		long	%00000011_00000011_00000011_10000011	' blue
		long	%00000011_00000011_00000011_10001011	' magenta
		long	%00000011_00000011_00000011_10100011	' cyan
		long	%00000011_00000011_00000011_10101011	' light gray

' color 1
fg_clut_l	long	%00000011_00000011_00000011_00000011	' black
		long	%00000011_00000011_00001011_00000011	' red
		long	%00000011_00000011_00100011_00000011	' green
		long	%00000011_00000011_00101011_00000011	' yellow
		long	%00000011_00000011_10000011_00000011	' blue
		long	%00000011_00000011_10001011_00000011	' magenta
		long	%00000011_00000011_10100011_00000011	' cyan
		long	%00000011_00000011_10101011_00000011	' light gray
		long	%00000011_00000011_01010111_00000011	' dark gray
		long	%00000011_00000011_00001111_00000011	' light red
		long	%00000011_00000011_00110011_00000011	' light green
		long	%00000011_00000011_00111111_00000011	' light yellow
		long	%00000011_00000011_11000011_00000011	' light blue
		long	%00000011_00000011_11001111_00000011	' light magenta
		long	%00000011_00000011_11110011_00000011	' light cyan
		long	%00000011_00000011_11111111_00000011	' white 

' color 2
bg_clut_r	long	%00000011_00000011_00000011_00000011
		long	%00000011_00000111_00000011_00000011
		long	%00000011_00010011_00000011_00000011
		long	%00000011_00010111_00000011_00000011
		long	%00000011_01000011_00000011_00000011
		long	%00000011_01000111_00000011_00000011
		long	%00000011_01010011_00000011_00000011
		long	%00000011_10101011_00000011_00000011
		long	%00000011_01010111_00000011_00000011
		long	%00000011_00001011_00000011_00000011
		long	%00000011_00100011_00000011_00000011
		long	%00000011_00101011_00000011_00000011
		long	%00000011_10000011_00000011_00000011
		long	%00000011_10001011_00000011_00000011
		long	%00000011_10100011_00000011_00000011
		long	%00000011_10101011_00000011_00000011


' color 3
fg_clut_r	long	%00000011_00000011_00000011_00000011
		long	%00001011_00000011_00000011_00000011
		long	%00100011_00000011_00000011_00000011
		long	%00101011_00000011_00000011_00000011
		long	%10000011_00000011_00000011_00000011
		long	%10001011_00000011_00000011_00000011
		long	%10100011_00000011_00000011_00000011
		long	%10101011_00000011_00000011_00000011
		long	%01010111_00000011_00000011_00000011
		long	%00001111_00000011_00000011_00000011
		long	%00110011_00000011_00000011_00000011
		long	%00111111_00000011_00000011_00000011
		long	%11000011_00000011_00000011_00000011
		long	%11001111_00000011_00000011_00000011
		long	%11110011_00000011_00000011_00000011
		long	%11111111_00000011_00000011_00000011

l_r_colors	long	%11111111_11111111_01010101_01010101	' remove bits #1, #3, #5 and #7 from the left color pair
pix_row_skip	long	(FONT_H - 1) * 160			' distance to the next character pixel row

wait		long	0
wait_add	long	30281
null		long	0

xmmptr		res	1
outx		res	1
pixptr		res	1
chrptr		res	1
colptr		res	1

colors		res	1
char_rows	res	1
cols		res	1

chr		res	1
att		res	1
t1		res	1

v00		res	1					' word scanline row 0
v01		res	1					' word scanline row 1
v02		res	1					' word scanline row 2
v03		res	1					' word scanline row 3
v04		res	1					' word scanline row 4
v05		res	1					' word scanline row 5
v06		res	1					' word scanline row 6
v07		res	1					' word scanline row 7
v08		res	1					' word scanline row 8
v09		res	1					' word scanline row 9
v10		res	1					' word scanline row 10
v11		res	1					' word scanline row 11
vxx		res	1					' other character scanline row

linebuff	res	160					' space for 160 characters + attributes

		fit	$1f0
'
' A 8x12 4 color font using only colors #2 and #3
' the odd bits are masked for colors #0 and #1
' in the left half of 16 pixels
'
font				' chr$(00)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(01)
		word	%1111111111111110	' .#######
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(02)
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(03)
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(04)
		word	%1010101010111010	' ..#.....
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1011111111111010	' ..#####.
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1011101010101010	' ......#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(05)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1111101010111110	' .##...##
		word	%1110111011101110	' .#.#.#.#
		word	%1110101110101110	' .#..#..#
		word	%1110111011101110	' .#.#.#.#
		word	%1111101010111110	' .##...##
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(06)
		word	%1010101010101010	' ........
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101110	' .#..#...
		word	%1010101011101110	' .#.#....
		word	%1010101010111110	' .##.....
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(07)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010111011101010	' ...#.#..
		word	%1010111011101010	' ...#.#..
		word	%1111111011111110	' .###.###
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(08)
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010111111111110	' .#####..
		word	%1011101010111010	' ..#...#.
		word	%1110101011101010	' ...#...#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(09)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1011101010101010	' ......#.
		word	%1111111111111110	' .#######
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0a)
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0b)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1110101110101110	' .#..#..#
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0c)
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1110101110101110	' .#..#..#
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0d)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1111111111111110	' .#######
		word	%1010101010111010	' ..#.....
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0e)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1111101010111110	' .##...##
		word	%1110111011101110	' .#.#.#.#
		word	%1110101110101110	' .#..#..#
		word	%1110111011101110	' .#.#.#.#
		word	%1111101010111110	' .##...##
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0f)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101110101110	' .#..#..#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(10)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(11)
		word	%1010111111101010	' ...###..
		word	%1011101110111010	' ..#.#.#.
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1111111110101110	' .#..####
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(12)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111110101110	' .#..####
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(13)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101111111110	' .####..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(14)
		word	%1010111111101010	' ...###..
		word	%1011101110111010	' ..#.#.#.
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101111111110	' .####..#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(15)
		word	%1010101010101010	' ........
		word	%1110101011101010	' ...#...#
		word	%1011101110101010	' ....#.#.
		word	%1010111010101010	' .....#..
		word	%1011101110101110	' .#..#.#.
		word	%1110101011101110	' .#.#...#
		word	%1010101010111110	' .##.....
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(16)
		word	%1011111111111010	' ..#####.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(17)
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1111111111111110	' .#######
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(18)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111011101010	' ...#.#..
		word	%1010101110101010	' ....#...
		word	%1010111011101010	' ...#.#..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(19)
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1a)
		word	%1010111111111010	' ..####..
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1010101010101110	' .#......
		word	%1010101011111010	' ..##....
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%101010101010101	' ........

				' chr$(1b)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1c)
		word	%1111111111111110	' .#######
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101111111110	' .####..#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1d)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101111111110	' .####..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1e)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111110101110	' .#..####
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1f)
		word	%1111111111111110	' .#######
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1111111110101110	' .#..####
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(20)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(21)
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(22)
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%101010101010101	' ........

				' chr$(23)
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1011111111111110	' .######.
		word	%1010111010111010	' ..#..#..
		word	%1011111111111110	' .######.
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1010111010111010	' ..#..#..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(24)
		word	%1010101110101010	' ....#...
		word	%1111111111111010	' ..######
		word	%1010101110101110	' .#..#...
		word	%1010101110101110	' .#..#...
		word	%1011111111111010	' ..#####.
		word	%1110101110101010	' ....#..#
		word	%1110101110101010	' ....#..#
		word	%1011111111111110	' .######.
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(25)
		word	%1010101010111010	' ..#.....
		word	%1110101011101110	' .#.#...#
		word	%1011101010111010	' ..#...#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1011101010111010	' ..#...#.
		word	%1110111010101110	' .#...#.#
		word	%1011101010101010	' ......#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(26)
		word	%1010101111111010	' ..###...
		word	%1010111010101110	' .#...#..
		word	%1010111010101110	' .#...#..
		word	%1010101110111010	' ..#.#...
		word	%1010101011101010	' ...#....
		word	%1110101110111010	' ..#.#..#
		word	%1011111010101110	' .#...##.
		word	%1011111010101110	' .#...##.
		word	%1110101111111010	' ..###..#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(27)
		word	%1010111110101010	' ....##..
		word	%1010111110101010	' ....##..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(28)
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(29)
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2a)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1110101110101110	' .#..#..#
		word	%1011101110111010	' ..#.#.#.
		word	%1010111111101010	' ...###..
		word	%1011101110111010	' ..#.#.#.
		word	%1110101110101110	' .#..#..#
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2b)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1111111111111110	' .#######
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2c)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101010101010	' ........

				' chr$(2d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2f)
		word	%1010101010101010	' ........
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(30)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1111101010101110	' .#....##
		word	%1110111010101110	' .#...#.#
		word	%1110101110101110	' .#..#..#
		word	%1110101011101110	' .#.#...#
		word	%1110101010111110	' .##....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(31)
		word	%1010101110101010	' ....#...
		word	%1010101111101010	' ...##...
		word	%1010101110111010	' ..#.#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(32)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111111101010	' ...###..
		word	%1010101010111010	' ..#.....
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(33)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1011111111101010	' ...####.
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(34)
		word	%1011101010101010	' ......#.
		word	%1011111010101010	' .....##.
		word	%1011101110101010	' ....#.#.
		word	%1011101011101010	' ...#..#.
		word	%1011101010111010	' ..#...#.
		word	%1011101010101110	' .#....#.
		word	%1111111111111110	' .#######
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(35)
		word	%1111111111111110	' .#######
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010111111111110	' .#####..
		word	%1011101010101010	' ......#.
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(36)
		word	%1011111111101010	' ...####.
		word	%1010101010111010	' ..#.....
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1011111111111110	' .######.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(37)
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(38)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(39)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111010	' ..######
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3b)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101010101010	' ........

				' chr$(3c)
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101010101110	' .#......
		word	%1010101010111010	' ..#.....
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3e)
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1011101010101010	' ......#.
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3f)
		word	%1011111111101010	' ...####.
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010101010	' .......#
		word	%1011111010101010	' .....##.
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(40)
		word	%1011111111101010	' ...####.
		word	%1110101010111010	' ..#....#
		word	%1110111110101110	' .#..##.#
		word	%1110111011101110	' .#.#.#.#
		word	%1110111011101110	' .#.#.#.#
		word	%1011111111101110	' .#.####.
		word	%1010101010101110	' .#......
		word	%1010101010111010	' ..#.....
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(41)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(42)
		word	%1011111111111110	' .######.
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1011111111111010	' ..#####.
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(43)
		word	%1011111111101010	' ...####.
		word	%1110101010111010	' ..#....#
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1110101010111010	' ..#....#
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(44)
		word	%1010111111111110	' .#####..
		word	%1011101010111010	' ..#...#.
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1110101010111010	' ..#....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(45)
		word	%1111111111111110	' .#######
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101111111110	' .####...
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(46)
		word	%1111111111111110	' .#######
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101111111110	' .####...
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(47)
		word	%1011111111101010	' ...####.
		word	%1110101010111010	' ..#....#
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1111111110101110	' .#..####
		word	%1110101010101110	' .#.....#
		word	%1110101010111010	' ..#....#
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(48)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1111111111111110	' .#######
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(49)
		word	%1011111111111010	' ..#####.
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4a)
		word	%1111111111101010	' ...#####
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101110	' .#...#..
		word	%1010101111111010	' ..###...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4b)
		word	%1110101010101110	' .#.....#
		word	%1011101010101110	' .#....#.
		word	%1010111010101110	' .#...#..
		word	%1010101110101110	' .#..#...
		word	%1010101011101110	' .#.#....
		word	%1010101110111110	' .##.#...
		word	%1010111010101110	' .#...#..
		word	%1011101010101110	' .#....#.
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4c)
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4d)
		word	%1110101010101110	' .#.....#
		word	%1111101010111110	' .##...##
		word	%1110111011101110	' .#.#.#.#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4e)
		word	%1110101010101110	' .#.....#
		word	%1110101010111110	' .##....#
		word	%1110101011101110	' .#.#...#
		word	%1110101110101110	' .#..#..#
		word	%1110111010101110	' .#...#.#
		word	%1111101010101110	' .#....##
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(4f)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(50)
		word	%1011111111111110	' .######.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111110	' .######.
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(51)
		word	%1010111111101010	' ...###..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101110101110	' .#..#..#
		word	%1110111010101110	' .#...#.#
		word	%1011101010111010	' ..#...#.
		word	%1110111111101010	' ...###.#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(52)
		word	%1011111111111110	' .######.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111110	' .######.
		word	%1010101110101110	' .#..#...
		word	%1010111010101110	' .#...#..
		word	%1011101010101110	' .#....#.
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(53)
		word	%1011111111111010	' ..#####.
		word	%1110101010101110	' .#.....#
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1011111111111010	' ..#####.
		word	%1110101010101010	' .......#
		word	%1110101010101010	' .......#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(54)
		word	%1111111111111110	' .#######
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(55)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(56)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1011101010111010	' ..#...#.
		word	%1010111011101010	' ...#.#..
		word	%1010111011101010	' ...#.#..
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(57)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110111011101110	' .#.#.#.#
		word	%1111101010111110	' .##...##
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(58)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111011101010	' ...#.#..
		word	%1010101110101010	' ....#...
		word	%1010111011101010	' ...#.#..
		word	%1011101010111010	' ..#...#.
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(59)
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111011101010	' ...#.#..
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5a)
		word	%1111111111111110	' .#######
		word	%1110101010101010	' .......#
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101010101110	' .#......
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5b)
		word	%1010111111111010	' ..####..
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010101010111010	' ..#.....
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5c)
		word	%1010101010101010	' ........
		word	%1010101010101110	' .#......
		word	%1010101010111010	' ..#.....
		word	%1010101011101010	' ...#....
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1011101010101010	' ......#.
		word	%1110101010101010	' .......#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5d)
		word	%1010111111111010	' ..####..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5e)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010111011101010	' ...#.#..
		word	%1011101010111010	' ..#...#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111110	' .#######
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(60)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101110101010	' ....#...
		word	%1010111010101010	' .....#..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(61)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011101010101010	' ......#.
		word	%1011111111111010	' ..#####.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1110111111111010	' ..####.#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(62)
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010111111101110	' .#.###..
		word	%1011101010111110	' .##...#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010111110	' .##...#.
		word	%1010111111101110	' .#.###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(63)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011101010101110	' .#....#.
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(64)
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101111111010	' ..###.#.
		word	%1011111010101110	' .#...##.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011111010101110	' .#...##.
		word	%1011101111111010	' ..###.#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(65)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011101010101110	' .#....#.
		word	%1011111111111110	' .######.
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(66)
		word	%1010111110101010	' ....##..
		word	%1011101011101010	' ...#..#.
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010111111111110	' .#####..
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(67)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011101111111010	' ..###.#.
		word	%1011111010101110	' .#...##.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011111010101110	' .#...##.
		word	%1011101111111010	' ..###.#.
		word	%1011101010101010	' ......#.
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..

				' chr$(68)
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010111111101110	' .#.###..
		word	%1011101010111110	' .##...#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(69)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(6a)
		word	%1010101010101010	' ........
		word	%1011101010101010	' ......#.
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010111010	' ..#...#.
		word	%1010111111101010	' ...###..

				' chr$(6b)
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010111010101110	' .#...#..
		word	%1010101110101110	' .#..#...
		word	%1010101011101110	' .#.#....
		word	%1010101110111110	' .##.#...
		word	%1010111010101110	' .#...#..
		word	%1011101010101110	' .#....#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(6c)
		word	%1010101111101010	' ...##...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(6d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111011111110	' .###.##.
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(6e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111101110	' .#.###..
		word	%1011101010111110	' .##...#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(6f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(70)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111101110	' .#.###..
		word	%1011101010111110	' .##...#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010111110	' .##...#.
		word	%1010111111101110	' .#.###..
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......

				' chr$(71)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011101111111010	' ..###.#.
		word	%1011111010101110	' .#...##.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011111010101110	' .#...##.
		word	%1011101111111010	' ..###.#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.
		word	%1011101010101010	' ......#.

				' chr$(72)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111101110	' .#.###..
		word	%1011101010111110	' .##...#.
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(73)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011101010101110	' .#....#.
		word	%1010101011111010	' ..##....
		word	%1010111110101010	' ....##..
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(74)
		word	%1010101010101010	' ........
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010111111111110	' .#####..
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1011101011101010	' ...#..#.
		word	%1010111110101010	' ....##..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(75)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011111010101110	' .#...##.
		word	%1011101111111010	' ..###.#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(76)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1110101010101110	' .#.....#
		word	%1011101010111010	' ..#...#.
		word	%1010111011101010	' ...#.#..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(77)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1110101010101110	' .#.....#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1110101110101110	' .#..#..#
		word	%1011111011111010	' ..##.##.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(78)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011101010101110	' .#....#.
		word	%1010111010111010	' ..#..#..
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111010111010	' ..#..#..
		word	%1011101010101110	' .#....#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(79)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011101010101110	' .#....#.
		word	%1011111010101110	' .#...##.
		word	%1011101111111010	' ..###.#.
		word	%1011101010101010	' ......#.
		word	%1011101010101110	' .#....#.
		word	%1010111111111010	' ..####..

				' chr$(7a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111010101010	' .....#..
		word	%1010101110101010	' ....#...
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(7b)
		word	%1010111110101010	' ....##..
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101010111010	' ..#.....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010101011101010	' ...#....
		word	%1010111110101010	' ....##..
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(7c)
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(7d)
		word	%1010101111101010	' ...##...
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1011101010101010	' ......#.
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010111010101010	' .....#..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(7e)
		word	%1111101111111010	' ..###.##
		word	%1011111110111110	' .##.###.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(7f)
		word	%1010111010111010	' ..#..#..
		word	%1110101110101110	' .#..#..#
		word	%1011101011101010	' ...#..#.
		word	%1010111010111010	' ..#..#..
		word	%1110101110101110	' .#..#..#
		word	%1011101011101010	' ...#..#.
		word	%1010111010111010	' ..#..#..
		word	%1110101110101110	' .#..#..#
		word	%1011101011101010	' ...#..#.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
